Approve Transaction
Submit approval signature for a pending transaction. Required for transactions using external signers.
API scope required: wallets:transactions.sign
Headers
API key required for authentication
Path Parameters
A wallet locator can be of the format:
<walletAddress>email:<email>:<chainType>[:<walletType>][:alias:<alias>](walletType defaults to 'smart')userId:<userId>:<chainType>[:<walletType>][:alias:<alias>](white label user example)phoneNumber:<phoneNumber>:<chainType>[:<walletType>][:alias:<alias>]twitter:<handle>:<chainType>[:<walletType>][:alias:<alias>]x:<handle>:<chainType>[:<walletType>][:alias:<alias>]me:<chainType>[:<walletType>][:alias:<alias>](Use when calling from the client side with a client API key)chainType[:<walletType>]:alias:<alias>
Body
Array of approvals to submit for this transaction
1Schema for WebAuthn signature data
- Passkey signature submission payload
- External wallet signature submission payload
- Server signer signature submission payload
- Email signer signature submission payload
- Phone signer signature submission payload
- Device signer signature submission payload
Response
The approval has successfully been submitted to the transaction.
- EVM Smart Wallet
- EVM MPC Wallet
- Solana Smart Wallet
- Solana MPC Wallet
- Stellar Smart Wallet
The signer registration transaction the wallet admin must sign and submit to add (on create) or revoke (on delete) the card's delegated signer on-chain.
The blockchain type of the wallet
evm, solana, aptos, sui, stellar The wallet type (smart or mpc)
smart, mpc EVM smart wallet transaction data including input parameters and chain specific details
Unique identifier for the transaction
Current status of the transaction
awaiting-approval, pending, failed, success ISO timestamp when the signature was created
Complete approval data including requirements, pending and submitted signatures
ISO timestamp when the transaction reached finality
Error message if the transaction fails after submission
- Option 1
- Option 2
- Option 3
Transaction fee information including actual transaction fees, billed amounts, and billing status

